Update a sales quote
curl --request PUT \
--url https://api.failfast.ai/order/sales_quote/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"operation_date": "2023-11-07T05:31:56Z",
"validation_date": "2023-11-07T05:31:56Z",
"quote_number_customer": "<string>",
"operation": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branch_office": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"salesman": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"commercial_condition": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price_list_type": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_fields": null,
"operation_number": 0,
"description": "<string>",
"status_description": "<string>",
"discount_percentage": "<string>",
"subtotal": "<string>",
"discount_value": "<string>",
"additional_discount_value": "<string>",
"insurance_value": "<string>",
"freight_value": "<string>",
"total": "<string>",
"market_exchange_rate": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_detail": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discount_type": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.failfast.ai/order/sales_quote/{id}/"
payload = {
"operation_date": "2023-11-07T05:31:56Z",
"validation_date": "2023-11-07T05:31:56Z",
"quote_number_customer": "<string>",
"operation": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branch_office": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"salesman": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"commercial_condition": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price_list_type": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_fields": None,
"operation_number": 0,
"description": "<string>",
"status_description": "<string>",
"discount_percentage": "<string>",
"subtotal": "<string>",
"discount_value": "<string>",
"additional_discount_value": "<string>",
"insurance_value": "<string>",
"freight_value": "<string>",
"total": "<string>",
"market_exchange_rate": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_detail": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discount_type": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
operation_date: '2023-11-07T05:31:56Z',
validation_date: '2023-11-07T05:31:56Z',
quote_number_customer: '<string>',
operation: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
branch_office: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customer: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
salesman: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
commercial_condition: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
price_list_type: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
custom_fields: null,
operation_number: 0,
description: '<string>',
status_description: '<string>',
discount_percentage: '<string>',
subtotal: '<string>',
discount_value: '<string>',
additional_discount_value: '<string>',
insurance_value: '<string>',
freight_value: '<string>',
total: '<string>',
market_exchange_rate: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customer_detail: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
location: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
discount_type: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.failfast.ai/order/sales_quote/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"error": false,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"operation_date": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"validation_date": "2023-11-07T05:31:56Z",
"quote_number_customer": "<string>",
"member": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operation": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branch_office": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"salesman": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"commercial_condition": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price_list_type": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_fields": null,
"operation_number": 0,
"description": "<string>",
"status_description": "<string>",
"discount_percentage": "<string>",
"subtotal": "<string>",
"discount_value": "<string>",
"additional_discount_value": "<string>",
"insurance_value": "<string>",
"freight_value": "<string>",
"total": "<string>",
"market_exchange_rate": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_detail": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discount_type": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Sales
Update a sales quote
PUT
/
order
/
sales_quote
/
{id}
/
Update a sales quote
Autorizaciones
Workspace API key sent as a bearer token: Authorization: Bearer failfast_.... Create keys in Settings -> Workspace -> API Keys.
Parámetros de ruta
A UUID string identifying this sales quote.
Cuerpo
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
Rango requerido:
0 <= x <= 2147483647PR- ProvisionalCO- CompleteER- Error
Opciones disponibles:
PR, CO, ER Pattern:
^-?\d{0,14}(?:\.\d{0,6})?$Pattern:
^-?\d{0,14}(?:\.\d{0,6})?$Pattern:
^-?\d{0,14}(?:\.\d{0,6})?$Pattern:
^-?\d{0,14}(?:\.\d{0,6})?$Pattern:
^-?\d{0,14}(?:\.\d{0,6})?$Pattern:
^-?\d{0,14}(?:\.\d{0,6})?$Pattern:
^-?\d{0,14}(?:\.\d{0,6})?$DRA- DRAFTSEN- SENTACC- ACCEPTEDREJ- REJECTEDEXP- EXPIREDCON- CONVERTED
Opciones disponibles:
DRA, SEN, ACC, REJ, EXP, CON Respuesta
200 - application/json
⌘I

